Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.Regressor.LinearType

class petsc4py.PETSc.Regressor.LinearType

  Bases: `object`

  Linear regressor type.

  See also

  `PetscRegressorLinearType`

  Attributes Summary

  `LASSO` | Constant `LASSO` of type `int`
  `OLS` | Constant `OLS` of type `int`
  `RIDGE` | Constant `RIDGE` of type `int`

  Attributes Documentation

  LASSO: int = LASSO

    Constant `LASSO` of type `int`

  OLS: int = OLS

    Constant `OLS` of type `int`

  RIDGE: int = RIDGE

    Constant `RIDGE` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)